/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class Compteur {
  public int valeur;

  /* Deux constructeurs                                   */
  /* - sans parametre -> compteur initialise a 0          */
  /* - avec un parametre entier ->                        */
  /*      compteur initialise a cette valeur              */

  public Compteur() {
    valeur = 0;
  }

  public Compteur(int v) {
    valeur = v;
  }
  
  /* Methode de lecture de la valeur du compteur          */
  
  public int valeur() {
    return(valeur);
  }
  
  /* Methode d'incrementation de 1 du compteur            */
  
  public void incrementer() {
    valeur++;
  }
  
  /* Methode de decrementation de 1 du compteur           */
  
  public void decrementer() {
    valeur--;
  }
  
  /* Surcharge de la methode toString                     */

  public String toString() {
    return(""+valeur);
  }
}